Bug 716298 - Cannot install dh-make - missing dependency
Summary: Cannot install dh-make - missing dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dh-make
Version: 17
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 961141
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-23 21:45 UTC by Jan Stodola
Modified: 2013-06-28 06:11 UTC (History)
4 users (show)

Fixed In Version: dh-make-0.61-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-02 03:03:48 UTC


Attachments (Terms of Use)

Description Jan Stodola 2011-06-23 21:45:29 UTC
Description of problem:
yum fails to install dh-make because of missing dependency:

[root@ibm-ls21-02 ~]# yum install dh-make
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package dh-make.noarch 0:0.55-3.fc15 will be installed
--> Processing Dependency: dpkg-devel for package: dh-make-0.55-3.fc15.noarch
--> Processing Dependency: debhelper for package: dh-make-0.55-3.fc15.noarch
--> Running transaction check
---> Package dh-make.noarch 0:0.55-3.fc15 will be installed
--> Processing Dependency: debhelper for package: dh-make-0.55-3.fc15.noarch
---> Package dpkg-devel.noarch 0:1.15.5.6-7.fc15 will be installed
--> Processing Dependency: dpkg = 1.15.5.6-7.fc15 for package: dpkg-devel-1.15.5.6-7.fc15.noarch
--> Processing Dependency: binutils for package: dpkg-devel-1.15.5.6-7.fc15.noarch
--> Processing Dependency: perl(Dpkg::Gettext) for package: dpkg-devel-1.15.5.6-7.fc15.noarch
--> Processing Dependency: patch for package: dpkg-devel-1.15.5.6-7.fc15.noarch
--> Processing Dependency: perl(Dpkg) for package: dpkg-devel-1.15.5.6-7.fc15.noarch
--> Processing Dependency: lzma for package: dpkg-devel-1.15.5.6-7.fc15.noarch
--> Processing Dependency: perl(Date::Parse) for package: dpkg-devel-1.15.5.6-7.fc15.noarch
--> Running transaction check
---> Package binutils.x86_64 0:2.21.51.0.6-2.fc15 will be installed
---> Package dh-make.noarch 0:0.55-3.fc15 will be installed
--> Processing Dependency: debhelper for package: dh-make-0.55-3.fc15.noarch
---> Package dpkg.x86_64 0:1.15.5.6-7.fc15 will be installed
---> Package patch.x86_64 0:2.6.1-9.fc15 will be installed
---> Package perl-TimeDate.noarch 1:1.20-4.fc15 will be installed
---> Package xz-lzma-compat.x86_64 0:5.0.1-2.fc15 will be installed
--> Finished Dependency Resolution
Error: Package: dh-make-0.55-3.fc15.noarch (fedora)
           Requires: debhelper
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Version-Release number of selected component (if applicable):
dh-make-0.55-3.fc15.noarch

How reproducible:
always

Steps to Reproduce:
1. install F15
2. yum install dh-make

Actual results:
missing dependencies, cannot install dh-make

Expected results:
installation without errors

Comment 1 Oron Peled 2012-05-17 04:38:33 UTC
Fixing blockers:

* Bug #591332 - Review Request: debconf - Debian configuration management system

  - APPROVED, pushed to updates-testing (f16, f17)
  - Will be automatically closed by bodhi in few days (when pushed to stable updates)

* Bug #591389 - Review Request: po-debconf - Tool for managing templates file translations with

  - Blocking by bug #591332 will be removed in few days
  - Meanwhile, fixed all comments by reviewer and updated the bug-report.
  - Waiting for reviewer to respond

* Bug #591190 - Review Request: debhelper - Helper programs for debian/rules

  - Now only blocked by bug #591389
  - Meanwhile, fixed problems reported by other people in the bug-report
  - The official reviewer (Chen Lei) last response was in 2010.
    How can we fix that?

Comment 2 Oron Peled 2012-05-25 06:54:04 UTC
 * Blocker bug #591331 (RR: debconf) closed

 * Still waiting for cwickert (formal reviewer) of bug #591389 (RR: po-debconf)
   to respond.

 * Updated bug #591190 (RR: debhelper) as suggested in that BR:
       https://bugzilla.redhat.com/show_bug.cgi?id=591190#c21
       (stalled package reviews)

 *  So now I wait for a new reviewer that would finalize the debhelper RR

Comment 3 Fedora End Of Life 2012-08-07 19:20:02 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Oron Peled 2012-08-08 18:58:11 UTC
* Need to finish bug #591389 (RR: po-debconf), cwickert responded
  and it is now waiting for me. Hope to do it in 1-2 weeks.

Comment 5 Graham White 2012-11-09 16:31:24 UTC
I was about to raise a dup of this bug then found this one by searching.  Good to see it's been reported but could we push it along?  Looks like debconf has been on Koji for a while now which should allow work to begin on debhelper.

Comment 6 Oron Peled 2013-05-10 19:30:31 UTC
* Regarding po-debconf blocker -- update:
  - Review Request: po-debconf (bug #591389) passed
  - The package was built for rawhide, f19, f18
  - The f18 version is waiting for karma on bodhi:
      https://admin.fedoraproject.org/updates/po-debconf-1.0.16-1.nmu2.fc18

* An unrelated question -- isn't it time to update dh-make?
  (after this bug is closed)
  Debian/wheezy version is 0.61

Comment 7 Sergio Monteiro Basto 2013-05-10 23:36:11 UTC
Hi, 
repoquery  --releasever=17  dh-make --requires

requires debhelper

but 

repoquery  --releasever=18  dh-make --requires

doesn't require debhelper anymore !? 

So we should build debhelper for f17+ ? 
and when debhelper is in Fedora repositories we should re-add debhelper requirement on package for F18 ?   

Thanks,

Comment 8 Oron Peled 2013-05-11 08:08:47 UTC
* Jeroen temporarily removed the f18 dependency last year:
  - Don't know why specifically this version
  - Here is the commit:
       http://pkgs.fedoraproject.org/cgit/dh-make.git/commit/?id=08989fc5550af61e5b0aa0bc1ee3ce811d72d276

* Surely, when debhelper is in the repos, it should be re-added to dh-make deps.

* However, maybe f17 is doomed:
  - Our reviewed debhelper calls for newer dpkg-devel and our new po-debconf
  - I'm not sure what Fedora is the policy about making such changes to
    an N-1 release.

* We can focus on completing the toolchain up to pbuilder with up-to-date
  tools and have it for f18+

Comment 9 Sergio Monteiro Basto 2013-05-20 22:03:35 UTC
Hi, 
we need update dependencies for rawhide (first round) , 
we have :  
#Requires:       debhelper
Requires:       dpkg-devel

debhelper is on the way, so we may readd : 

Requires:       debhelper 

dpkg-devel change to dpkg-dev, so we may change to : 

Requires:       dpkg-dev


also dh-make have updates ... 
http://ftp.de.debian.org/debian/pool/main/d/dh-make/

Comment 10 Oron Peled 2013-05-23 06:42:43 UTC
Fixed in rawhide:
 * Updated to latest Debian/wheezy (0.61)
 * Requires: debhelper, dpkg-dev
 * Build URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=5413179

Waiting for f19: dpkg update -> adding debhelper -> dh-make update

Comment 11 Oron Peled 2013-05-24 10:25:54 UTC
Status on f19:
 * dpkg waiting for karma:
     https://admin.fedoraproject.org/updates/dpkg-1.16.10-3.fc19

 * po-debconf waiting for karma (thanks for the wakeup Sergio):
     https://admin.fedoraproject.org/updates/po-debconf-1.0.16-1.nmu2.fc19

 * When these are in the repository we can push debhelper

 * Also debconf waiting for karma:
     https://admin.fedoraproject.org/updates/debconf-1.5.49-1.fc19

Comment 12 Fedora Update System 2013-05-25 01:55:45 UTC
dh-make-0.61-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dh-make-0.61-1.fc19

Comment 13 Sergio Monteiro Basto 2013-05-25 01:56:53 UTC
we don't need to wait for karma , just need be pushed to testing, (I think updates-testing are enabled at build time), at least is with F19.

Comment 14 Oron Peled 2013-05-25 14:12:20 UTC
Patience my friend:
 * You pushed the new dh-make too early:
     https://admin.fedoraproject.org/updates/dh-make-0.61-1.fc19

 * autoqa failed because debhelper was missing.

 * Please follow the sequence in comment #11
   (hint -- you can test po-debconf and give it karma if it's OK)

 * I know it's frustrating not to finish all this in few days, but
   we are moving along (unlike the last two years when nobody cared).

Comment 15 Sergio Monteiro Basto 2013-05-25 15:20:14 UTC
(In reply to Oron Peled from comment #14)
> Patience my friend:
>  * You pushed the new dh-make too early:
>      https://admin.fedoraproject.org/updates/dh-make-0.61-1.fc19
> 
>  * autoqa failed because debhelper was missing.
> 
>  * Please follow the sequence in comment #11
>    (hint -- you can test po-debconf and give it karma if it's OK)
> 
>  * I know it's frustrating not to finish all this in few days, but
>    we are moving along (unlike the last two years when nobody cared).

Correct,  

debhelper-9.20120909-1.fc19 fails because 
in root.log we can see: 
Error: No Package found for dpkg-dev .

sorry I have study this koji builds better .

Comment 16 Fedora Update System 2013-05-25 19:04:30 UTC
Package dh-make-0.61-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dh-make-0.61-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9211/dh-make-0.61-1.fc19
then log in and leave karma (feedback).

Comment 17 Sergio Monteiro Basto 2013-06-01 18:18:00 UTC
(In reply to Oron Peled from comment #14)
> Patience my friend:
>  * You pushed the new dh-make too early:
>      https://admin.fedoraproject.org/updates/dh-make-0.61-1.fc19

we need some positive karma to be able to push it to stable.

 
>  * autoqa failed because debhelper was missing.

debhelper is now in updates stable, so this bug is fixed

Comment 18 Fedora Update System 2013-06-02 03:03:48 UTC
dh-make-0.61-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2013-06-18 10:42:59 UTC
dh-make-0.61-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dh-make-0.61-1.fc18

Comment 20 Fedora Update System 2013-06-28 06:11:55 UTC
dh-make-0.61-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.